IP Detection

查询历史

您过往的查询记录,按时间倒序排列。

列出历史查询

GET/v1/ip/history
API 密钥不计入用量

参数

  • limitinteger查询

    每页条数,最多 100。

  • beforeinteger查询

    返回早于此 id 的条目,用于分页。

  • verdictstring查询

    仅返回该网络类别的查询。

响应字段

  • events[].idinteger

    事件 id,用作分页游标。

  • events[].atstring

    查询的时间。

  • events[].targetstring

    查询的对象,与提交时一致。

  • events[].ipstring

    被检测的 IP 地址。

  • events[].verdictstring

    residential_clean、mobile、hosting、datacenter、vpn、residential_proxy、tor、relay 或 unknown。

  • events[].confidencenumber

    置信度,范围 0 到 1。

  • events[].asnstring

    自治系统号,如 AS15169。

  • events[].countrystring

    两位 ISO 国家代码。

  • events[].sourcestring

    api 或 dashboard。

  • nextBeforeinteger

    作为 before 传入以获取下一页;0 表示没有更多。

  • asOfstring

    响应生成的时间。

curl "https://ipscanner.io/v1/ip/history?limit=2&verdict=vpn" \
  -H "Authorization: Bearer YOUR_API_KEY"
响应
{
  "events": [
    {
      "id": 48213,
      "at": "2026-10-06T14:02:11Z",
      "target": "198.51.100.23",
      "ip": "198.51.100.23",
      "verdict": "vpn",
      "confidence": 0.92,
      "asn": "AS9009",
      "asnName": "M247 Europe SRL",
      "country": "NL",
      "anonymized": true,
      "source": "api"
    },
    {
      "id": 48177,
      "at": "2026-10-06T13:40:52Z",
      "target": "203.0.113.88",
      "ip": "203.0.113.88",
      "verdict": "vpn",
      "confidence": 0.88,
      "asn": "AS60068",
      "asnName": "Datacamp Limited",
      "country": "GB",
      "anonymized": true,
      "source": "dashboard"
    }
  ],
  "nextBefore": 48177,
  "asOf": "2026-10-06T14:05:00Z"
}